Page MenuHomePhabricator

Create CentralNotice campaign mixin tables
Closed, ResolvedPublic

Description

Schema change here:
https://gerrit.wikimedia.org/r/#/c/222353

This is to support urgent banner history work,
T78089: [epic] Banner History MVP

Event Timeline

awight created this task.Aug 31 2015, 10:52 PM
awight raised the priority of this task from to High.
awight updated the task description. (Show Details)
awight added subscribers: Raymond, Aklapper, jcrespo and 9 others.
greg set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 1 2015, 4:20 AM
Krenair added a subscriber: Krenair.Sep 1 2015, 4:22 AM

Gerrit change has been deployed in an online fashion, with the following new structure for both metawiki and testwiki:

mysql> SHOW CREATE TABLE cn_notice_mixins\G
*************************** 1. row ***************************
       Table: cn_notice_mixins
Create Table: CREATE TABLE `cn_notice_mixins` (
  `nmxn_id` int(11) NOT NULL AUTO_INCREMENT,
  `nmxn_not_id` int(11) NOT NULL,
  `nmxn_mixin_name` varbinary(255) NOT NULL,
  `nmxn_enabled` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`nmxn_id`),
  UNIQUE KEY `nmxn_not_id_mixin_name` (`nmxn_not_id`,`nmxn_mixin_name`),
  KEY `nmxn_not_id_idx` (`nmxn_not_id`),
  KEY `nmxn_mixin_name_idx` (`nmxn_mixin_name`)
) ENGINE=InnoDB DEFAULT CHARSET=binary
1 row in set (0.00 sec)

mysql> SHOW CREATE TABLE cn_notice_mixin_params\G
*************************** 1. row ***************************
       Table: cn_notice_mixin_params
Create Table: CREATE TABLE `cn_notice_mixin_params` (
  `nmxnp_id` int(11) NOT NULL AUTO_INCREMENT,
  `nmxnp_notice_mixin_id` int(11) NOT NULL,
  `nmxnp_param_name` varbinary(255) NOT NULL,
  `nmxnp_param_value` blob NOT NULL,
  PRIMARY KEY (`nmxnp_id`),
  UNIQUE KEY `nmxn_notice_mixin_id_param_name` (`nmxnp_notice_mixin_id`,`nmxnp_param_name`),
  KEY `nmxnp_notice_mixin_id_idx` (`nmxnp_notice_mixin_id`),
  KEY `nmxnp_param_name_value_idx` (`nmxnp_param_name`,`nmxnp_param_value`(50))
) ENGINE=InnoDB DEFAULT CHARSET=binary
1 row in set (0.00 sec)

mysql> SHOW CREATE TABLE cn_notice_log\G
*************************** 1. row ***************************
       Table: cn_notice_log
Create Table: CREATE TABLE `cn_notice_log` (
  `notlog_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `notlog_timestamp` binary(14) NOT NULL,
  `notlog_user_id` int(10) unsigned NOT NULL,
  `notlog_action` enum('created','modified','removed') NOT NULL DEFAULT 'modified',
  `notlog_not_id` int(10) unsigned NOT NULL,
  `notlog_not_name` varbinary(255) DEFAULT NULL,
  `notlog_begin_projects` varbinary(255) DEFAULT NULL,
  `notlog_end_projects` varbinary(255) DEFAULT NULL,
  `notlog_begin_languages` blob,
  `notlog_end_languages` blob,
  `notlog_begin_countries` blob,
  `notlog_end_countries` blob,
  `notlog_begin_start` binary(14) DEFAULT NULL,
  `notlog_end_start` binary(14) DEFAULT NULL,
  `notlog_begin_end` binary(14) DEFAULT NULL,
  `notlog_end_end` binary(14) DEFAULT NULL,
  `notlog_begin_enabled` tinyint(1) DEFAULT NULL,
  `notlog_end_enabled` tinyint(1) DEFAULT NULL,
  `notlog_begin_preferred` tinyint(1) DEFAULT NULL,
  `notlog_end_preferred` tinyint(1) DEFAULT NULL,
  `notlog_begin_locked` tinyint(1) DEFAULT NULL,
  `notlog_end_locked` tinyint(1) DEFAULT NULL,
  `notlog_begin_geo` tinyint(1) DEFAULT NULL,
  `notlog_end_geo` tinyint(1) DEFAULT NULL,
  `notlog_begin_banners` blob,
  `notlog_end_banners` blob,
  `notlog_begin_buckets` tinyint(1) DEFAULT NULL,
  `notlog_end_buckets` tinyint(1) DEFAULT NULL,
  `notlog_begin_mobile_carrier` int(11) DEFAULT NULL,
  `notlog_end_mobile_carrier` int(11) DEFAULT NULL,
  `notlog_begin_weight` int(11) DEFAULT NULL,
  `notlog_end_weight` int(11) DEFAULT NULL,
  `notlog_begin_archived` tinyint(4) DEFAULT NULL,
  `notlog_end_archived` tinyint(4) DEFAULT NULL,
  `notlog_comment` varbinary(255) DEFAULT NULL,
  `notlog_begin_throttle` int(11) DEFAULT NULL,
  `notlog_end_throttle` int(11) DEFAULT NULL,
  `notlog_begin_mixins` blob,
  `notlog_end_mixins` blob,
  PRIMARY KEY (`notlog_id`),
  KEY `notlog_timestamp` (`notlog_timestamp`),
  KEY `notlog_user_id` (`notlog_user_id`,`notlog_timestamp`),
  KEY `notlog_not_id` (`notlog_not_id`,`notlog_timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=22954 DEFAULT CHARSET=binary
1 row in set (0.01 sec)
Glaisher updated the task description. (Show Details)Sep 1 2015, 5:11 PM
awight closed this task as Resolved.Oct 21 2015, 5:45 AM
awight claimed this task.

Thank you!